<?php
/* Autor...:  */
/* Esquema.: VTA_DocumentoDetalle.xml */
/* Generado: 2022-02-07 05:21:29 */

/* Metodos de acceso a los campos de la tabla VTA_DocumentoDetalle */
abstract class BaseVTA_DocumentoDetalleBN
{
    /* Campos de la tabla */
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_NumeroDocumento;    // NumeroDocumento: ( no definido )
    private $i_Secuencia;    // Secuencia: ( no definido )
    private $s_TipoDetalle;    // TipoDetalle: ( no definido )
    private $s_ItemCodigo;    // ItemCodigo: ( no definido )
    private $s_Lote;    // Lote: ( no definido )
    private $s_LoteAlias;    // LoteAlias: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $s_IdItemTipo;    // IdItemTipo: ( no definido )
    private $i_IdUnidad;    // IdUnidad: ( no definido )
    private $s_Condicion;    // Condicion: ( no definido )
    private $s_IdTipoPrecio;    // IdTipoPrecio: ( no definido )
    private $s_CodigoProductoSunat;    // CodigoProductoSunat: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $f_CantidadPedida;    // CantidadPedida: ( no definido )
    private $f_CantidadRecibida;    // CantidadRecibida: ( no definido )
    private $f_CostoUnitarioProm;    // CostoUnitarioProm: ( no definido )
    private $f_CostoUnitarioMN;    // CostoUnitarioMN: ( no definido )
    private $f_PrecioUnitarioMN;    // PrecioUnitarioMN: ( no definido )
    private $f_PrecioUnitario;    // PrecioUnitario: ( no definido )
    private $f_MontoDescuentoMN;    // MontoDescuentoMN: ( no definido )
    private $f_MontoDescuento;    // MontoDescuento: ( no definido )
    private $f_MontoImpuestoUnidad;    // MontoImpuestoUnidad: ( no definido )
    private $f_MontoImpuestoUnidadMN;    // MontoImpuestoUnidadMN: ( no definido )
    private $f_MontoIncImpuestoUnidad;    // MontoIncImpuestoUnidad: ( no definido )
    private $f_MontoIncImpuestoUnidadMN;    // MontoIncImpuestoUnidadMN: ( no definido )
    private $f_MontoSubTotal;    // MontoSubTotal: ( no definido )
    private $f_MontoSubTotalMN;    // MontoSubTotalMN: ( no definido )
    private $f_MontoSubTotalImpuesto;    // MontoSubTotalImpuesto: ( no definido )
    private $f_MontoSubTotalImpuestoMN;    // MontoSubTotalImpuestoMN: ( no definido )
    private $f_MontoTotalNeto;    // MontoTotalNeto: ( no definido )
    private $f_MontoTotalNetoMN;    // MontoTotalNetoMN: ( no definido )
    private $s_IGVExoneradoFlag;    // IGVExoneradoFlag: ( no definido )
    private $s_TipoIGV;    // TipoIGV: ( no definido )
    private $i_PorcentajeImpuesto;    // PorcentajeImpuesto: ( no definido )
    private $s_AlmacenCodigo;    // AlmacenCodigo: ( no definido )
    private $s_NumeroPromocion;    // NumeroPromocion: ( no definido )
    private $i_RefParent;    // RefParent: ( no definido )
    private $s_RefTipoParent;    // RefTipoParent: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_CentroCosto;    // CentroCosto: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo NumeroDocumento */
    public function setNumeroDocumento( $s_NumeroDocumento )
    {
        $this->s_NumeroDocumento = $s_NumeroDocumento;
    }

    /* Obtiene el valor del campo NumeroDocumento */
    public function getNumeroDocumento()
    {
        return $this->s_NumeroDocumento;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $i_Secuencia )
    {
        $this->i_Secuencia = $i_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->i_Secuencia;
    }

    /* Establece el valor del campo TipoDetalle */
    public function setTipoDetalle( $s_TipoDetalle )
    {
        $this->s_TipoDetalle = $s_TipoDetalle;
    }

    /* Obtiene el valor del campo TipoDetalle */
    public function getTipoDetalle()
    {
        return $this->s_TipoDetalle;
    }

    /* Establece el valor del campo ItemCodigo */
    public function setItemCodigo( $s_ItemCodigo )
    {
        $this->s_ItemCodigo = $s_ItemCodigo;
    }

    /* Obtiene el valor del campo ItemCodigo */
    public function getItemCodigo()
    {
        return $this->s_ItemCodigo;
    }

    /* Establece el valor del campo Lote */
    public function setLote( $s_Lote )
    {
        $this->s_Lote = $s_Lote;
    }

    /* Obtiene el valor del campo Lote */
    public function getLote()
    {
        return $this->s_Lote;
    }

    /* Establece el valor del campo LoteAlias */
    public function setLoteAlias( $s_LoteAlias )
    {
        $this->s_LoteAlias = $s_LoteAlias;
    }

    /* Obtiene el valor del campo LoteAlias */
    public function getLoteAlias()
    {
        return $this->s_LoteAlias;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo IdItemTipo */
    public function setIdItemTipo( $s_IdItemTipo )
    {
        $this->s_IdItemTipo = $s_IdItemTipo;
    }

    /* Obtiene el valor del campo IdItemTipo */
    public function getIdItemTipo()
    {
        return $this->s_IdItemTipo;
    }

    /* Establece el valor del campo IdUnidad */
    public function setIdUnidad( $i_IdUnidad )
    {
        $this->i_IdUnidad = $i_IdUnidad;
    }

    /* Obtiene el valor del campo IdUnidad */
    public function getIdUnidad()
    {
        return $this->i_IdUnidad;
    }

    /* Establece el valor del campo Condicion */
    public function setCondicion( $s_Condicion )
    {
        $this->s_Condicion = $s_Condicion;
    }

    /* Obtiene el valor del campo Condicion */
    public function getCondicion()
    {
        return $this->s_Condicion;
    }

    /* Establece el valor del campo IdTipoPrecio */
    public function setIdTipoPrecio( $s_IdTipoPrecio )
    {
        $this->s_IdTipoPrecio = $s_IdTipoPrecio;
    }

    /* Obtiene el valor del campo IdTipoPrecio */
    public function getIdTipoPrecio()
    {
        return $this->s_IdTipoPrecio;
    }

    /* Establece el valor del campo CodigoProductoSunat */
    public function setCodigoProductoSunat( $s_CodigoProductoSunat )
    {
        $this->s_CodigoProductoSunat = $s_CodigoProductoSunat;
    }

    /* Obtiene el valor del campo CodigoProductoSunat */
    public function getCodigoProductoSunat()
    {
        return $this->s_CodigoProductoSunat;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo CantidadPedida */
    public function setCantidadPedida( $f_CantidadPedida )
    {
        $this->f_CantidadPedida = $f_CantidadPedida;
    }

    /* Obtiene el valor del campo CantidadPedida */
    public function getCantidadPedida()
    {
        return $this->f_CantidadPedida;
    }

    /* Establece el valor del campo CantidadRecibida */
    public function setCantidadRecibida( $f_CantidadRecibida )
    {
        $this->f_CantidadRecibida = $f_CantidadRecibida;
    }

    /* Obtiene el valor del campo CantidadRecibida */
    public function getCantidadRecibida()
    {
        return $this->f_CantidadRecibida;
    }

    /* Establece el valor del campo CostoUnitarioProm */
    public function setCostoUnitarioProm( $f_CostoUnitarioProm )
    {
        $this->f_CostoUnitarioProm = $f_CostoUnitarioProm;
    }

    /* Obtiene el valor del campo CostoUnitarioProm */
    public function getCostoUnitarioProm()
    {
        return $this->f_CostoUnitarioProm;
    }

    /* Establece el valor del campo CostoUnitarioMN */
    public function setCostoUnitarioMN( $f_CostoUnitarioMN )
    {
        $this->f_CostoUnitarioMN = $f_CostoUnitarioMN;
    }

    /* Obtiene el valor del campo CostoUnitarioMN */
    public function getCostoUnitarioMN()
    {
        return $this->f_CostoUnitarioMN;
    }

    /* Establece el valor del campo PrecioUnitarioMN */
    public function setPrecioUnitarioMN( $f_PrecioUnitarioMN )
    {
        $this->f_PrecioUnitarioMN = $f_PrecioUnitarioMN;
    }

    /* Obtiene el valor del campo PrecioUnitarioMN */
    public function getPrecioUnitarioMN()
    {
        return $this->f_PrecioUnitarioMN;
    }

    /* Establece el valor del campo PrecioUnitario */
    public function setPrecioUnitario( $f_PrecioUnitario )
    {
        $this->f_PrecioUnitario = $f_PrecioUnitario;
    }

    /* Obtiene el valor del campo PrecioUnitario */
    public function getPrecioUnitario()
    {
        return $this->f_PrecioUnitario;
    }

    /* Establece el valor del campo MontoDescuentoMN */
    public function setMontoDescuentoMN( $f_MontoDescuentoMN )
    {
        $this->f_MontoDescuentoMN = $f_MontoDescuentoMN;
    }

    /* Obtiene el valor del campo MontoDescuentoMN */
    public function getMontoDescuentoMN()
    {
        return $this->f_MontoDescuentoMN;
    }

    /* Establece el valor del campo MontoDescuento */
    public function setMontoDescuento( $f_MontoDescuento )
    {
        $this->f_MontoDescuento = $f_MontoDescuento;
    }

    /* Obtiene el valor del campo MontoDescuento */
    public function getMontoDescuento()
    {
        return $this->f_MontoDescuento;
    }

    /* Establece el valor del campo MontoImpuestoUnidad */
    public function setMontoImpuestoUnidad( $f_MontoImpuestoUnidad )
    {
        $this->f_MontoImpuestoUnidad = $f_MontoImpuestoUnidad;
    }

    /* Obtiene el valor del campo MontoImpuestoUnidad */
    public function getMontoImpuestoUnidad()
    {
        return $this->f_MontoImpuestoUnidad;
    }

    /* Establece el valor del campo MontoImpuestoUnidadMN */
    public function setMontoImpuestoUnidadMN( $f_MontoImpuestoUnidadMN )
    {
        $this->f_MontoImpuestoUnidadMN = $f_MontoImpuestoUnidadMN;
    }

    /* Obtiene el valor del campo MontoImpuestoUnidadMN */
    public function getMontoImpuestoUnidadMN()
    {
        return $this->f_MontoImpuestoUnidadMN;
    }

    /* Establece el valor del campo MontoIncImpuestoUnidad */
    public function setMontoIncImpuestoUnidad( $f_MontoIncImpuestoUnidad )
    {
        $this->f_MontoIncImpuestoUnidad = $f_MontoIncImpuestoUnidad;
    }

    /* Obtiene el valor del campo MontoIncImpuestoUnidad */
    public function getMontoIncImpuestoUnidad()
    {
        return $this->f_MontoIncImpuestoUnidad;
    }

    /* Establece el valor del campo MontoIncImpuestoUnidadMN */
    public function setMontoIncImpuestoUnidadMN( $f_MontoIncImpuestoUnidadMN )
    {
        $this->f_MontoIncImpuestoUnidadMN = $f_MontoIncImpuestoUnidadMN;
    }

    /* Obtiene el valor del campo MontoIncImpuestoUnidadMN */
    public function getMontoIncImpuestoUnidadMN()
    {
        return $this->f_MontoIncImpuestoUnidadMN;
    }

    /* Establece el valor del campo MontoSubTotal */
    public function setMontoSubTotal( $f_MontoSubTotal )
    {
        $this->f_MontoSubTotal = $f_MontoSubTotal;
    }

    /* Obtiene el valor del campo MontoSubTotal */
    public function getMontoSubTotal()
    {
        return $this->f_MontoSubTotal;
    }

    /* Establece el valor del campo MontoSubTotalMN */
    public function setMontoSubTotalMN( $f_MontoSubTotalMN )
    {
        $this->f_MontoSubTotalMN = $f_MontoSubTotalMN;
    }

    /* Obtiene el valor del campo MontoSubTotalMN */
    public function getMontoSubTotalMN()
    {
        return $this->f_MontoSubTotalMN;
    }

    /* Establece el valor del campo MontoSubTotalImpuesto */
    public function setMontoSubTotalImpuesto( $f_MontoSubTotalImpuesto )
    {
        $this->f_MontoSubTotalImpuesto = $f_MontoSubTotalImpuesto;
    }

    /* Obtiene el valor del campo MontoSubTotalImpuesto */
    public function getMontoSubTotalImpuesto()
    {
        return $this->f_MontoSubTotalImpuesto;
    }

    /* Establece el valor del campo MontoSubTotalImpuestoMN */
    public function setMontoSubTotalImpuestoMN( $f_MontoSubTotalImpuestoMN )
    {
        $this->f_MontoSubTotalImpuestoMN = $f_MontoSubTotalImpuestoMN;
    }

    /* Obtiene el valor del campo MontoSubTotalImpuestoMN */
    public function getMontoSubTotalImpuestoMN()
    {
        return $this->f_MontoSubTotalImpuestoMN;
    }

    /* Establece el valor del campo MontoTotalNeto */
    public function setMontoTotalNeto( $f_MontoTotalNeto )
    {
        $this->f_MontoTotalNeto = $f_MontoTotalNeto;
    }

    /* Obtiene el valor del campo MontoTotalNeto */
    public function getMontoTotalNeto()
    {
        return $this->f_MontoTotalNeto;
    }

    /* Establece el valor del campo MontoTotalNetoMN */
    public function setMontoTotalNetoMN( $f_MontoTotalNetoMN )
    {
        $this->f_MontoTotalNetoMN = $f_MontoTotalNetoMN;
    }

    /* Obtiene el valor del campo MontoTotalNetoMN */
    public function getMontoTotalNetoMN()
    {
        return $this->f_MontoTotalNetoMN;
    }

    /* Establece el valor del campo IGVExoneradoFlag */
    public function setIGVExoneradoFlag( $s_IGVExoneradoFlag )
    {
        $this->s_IGVExoneradoFlag = $s_IGVExoneradoFlag;
    }

    /* Obtiene el valor del campo IGVExoneradoFlag */
    public function getIGVExoneradoFlag()
    {
        return $this->s_IGVExoneradoFlag;
    }

    /* Establece el valor del campo TipoIGV */
    public function setTipoIGV( $s_TipoIGV )
    {
        $this->s_TipoIGV = $s_TipoIGV;
    }

    /* Obtiene el valor del campo TipoIGV */
    public function getTipoIGV()
    {
        return $this->s_TipoIGV;
    }

    /* Establece el valor del campo PorcentajeImpuesto */
    public function setPorcentajeImpuesto( $i_PorcentajeImpuesto )
    {
        $this->i_PorcentajeImpuesto = $i_PorcentajeImpuesto;
    }

    /* Obtiene el valor del campo PorcentajeImpuesto */
    public function getPorcentajeImpuesto()
    {
        return $this->i_PorcentajeImpuesto;
    }

    /* Establece el valor del campo AlmacenCodigo */
    public function setAlmacenCodigo( $s_AlmacenCodigo )
    {
        $this->s_AlmacenCodigo = $s_AlmacenCodigo;
    }

    /* Obtiene el valor del campo AlmacenCodigo */
    public function getAlmacenCodigo()
    {
        return $this->s_AlmacenCodigo;
    }

    /* Establece el valor del campo NumeroPromocion */
    public function setNumeroPromocion( $s_NumeroPromocion )
    {
        $this->s_NumeroPromocion = $s_NumeroPromocion;
    }

    /* Obtiene el valor del campo NumeroPromocion */
    public function getNumeroPromocion()
    {
        return $this->s_NumeroPromocion;
    }

    /* Establece el valor del campo RefParent */
    public function setRefParent( $i_RefParent )
    {
        $this->i_RefParent = $i_RefParent;
    }

    /* Obtiene el valor del campo RefParent */
    public function getRefParent()
    {
        return $this->i_RefParent;
    }

    /* Establece el valor del campo RefTipoParent */
    public function setRefTipoParent( $s_RefTipoParent )
    {
        $this->s_RefTipoParent = $s_RefTipoParent;
    }

    /* Obtiene el valor del campo RefTipoParent */
    public function getRefTipoParent()
    {
        return $this->s_RefTipoParent;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo CentroCosto */
    public function setCentroCosto( $s_CentroCosto )
    {
        $this->s_CentroCosto = $s_CentroCosto;
    }

    /* Obtiene el valor del campo CentroCosto */
    public function getCentroCosto()
    {
        return $this->s_CentroCosto;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'IdCompania' => $this->getIdCompania(),
            'NumeroDocumento' => $this->getNumeroDocumento(),
            'Secuencia' => $this->getSecuencia(),
            'TipoDetalle' => $this->getTipoDetalle(),
            'ItemCodigo' => $this->getItemCodigo(),
            'Lote' => $this->getLote(),
            'LoteAlias' => $this->getLoteAlias(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'IdItemTipo' => $this->getIdItemTipo(),
            'IdUnidad' => $this->getIdUnidad(),
            'Condicion' => $this->getCondicion(),
            'IdTipoPrecio' => $this->getIdTipoPrecio(),
            'CodigoProductoSunat' => $this->getCodigoProductoSunat(),
            'Descripcion' => $this->getDescripcion(),
            'CantidadPedida' => $this->getCantidadPedida(),
            'CantidadRecibida' => $this->getCantidadRecibida(),
            'CostoUnitarioProm' => $this->getCostoUnitarioProm(),
            'CostoUnitarioMN' => $this->getCostoUnitarioMN(),
            'PrecioUnitarioMN' => $this->getPrecioUnitarioMN(),
            'PrecioUnitario' => $this->getPrecioUnitario(),
            'MontoDescuentoMN' => $this->getMontoDescuentoMN(),
            'MontoDescuento' => $this->getMontoDescuento(),
            'MontoImpuestoUnidad' => $this->getMontoImpuestoUnidad(),
            'MontoImpuestoUnidadMN' => $this->getMontoImpuestoUnidadMN(),
            'MontoIncImpuestoUnidad' => $this->getMontoIncImpuestoUnidad(),
            'MontoIncImpuestoUnidadMN' => $this->getMontoIncImpuestoUnidadMN(),
            'MontoSubTotal' => $this->getMontoSubTotal(),
            'MontoSubTotalMN' => $this->getMontoSubTotalMN(),
            'MontoSubTotalImpuesto' => $this->getMontoSubTotalImpuesto(),
            'MontoSubTotalImpuestoMN' => $this->getMontoSubTotalImpuestoMN(),
            'MontoTotalNeto' => $this->getMontoTotalNeto(),
            'MontoTotalNetoMN' => $this->getMontoTotalNetoMN(),
            'IGVExoneradoFlag' => $this->getIGVExoneradoFlag(),
            'TipoIGV' => $this->getTipoIGV(),
            'PorcentajeImpuesto' => $this->getPorcentajeImpuesto(),
            'AlmacenCodigo' => $this->getAlmacenCodigo(),
            'NumeroPromocion' => $this->getNumeroPromocion(),
            'RefParent' => $this->getRefParent(),
            'RefTipoParent' => $this->getRefTipoParent(),
            'Estado' => $this->getEstado(),
            'CentroCosto' => $this->getCentroCosto(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto VTA_DocumentoDetalleBN desde un RecordSet */
    public static function retrieveByRs( $o_VTA_DocumentoDetalleRs )
    {
        $o_VTA_DocumentoDetalleBN = new VTA_DocumentoDetalleBN();
        $o_VTA_DocumentoDetalleBN->setIdTipoDocumento( $o_VTA_DocumentoDetalleRs[ "IdTipoDocumento" ] );
        $o_VTA_DocumentoDetalleBN->setIdCompania( ( integer ) $o_VTA_DocumentoDetalleRs[ "IdCompania" ] );
        $o_VTA_DocumentoDetalleBN->setNumeroDocumento( $o_VTA_DocumentoDetalleRs[ "NumeroDocumento" ] );
        $o_VTA_DocumentoDetalleBN->setSecuencia( ( integer ) $o_VTA_DocumentoDetalleRs[ "Secuencia" ] );
        $o_VTA_DocumentoDetalleBN->setTipoDetalle( $o_VTA_DocumentoDetalleRs[ "TipoDetalle" ] );
        $o_VTA_DocumentoDetalleBN->setItemCodigo( $o_VTA_DocumentoDetalleRs[ "ItemCodigo" ] );
        $o_VTA_DocumentoDetalleBN->setLote( $o_VTA_DocumentoDetalleRs[ "Lote" ] );
        $o_VTA_DocumentoDetalleBN->setLoteAlias( $o_VTA_DocumentoDetalleRs[ "LoteAlias" ] );
        $o_VTA_DocumentoDetalleBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_VTA_DocumentoDetalleRs[ "FechaVencimiento" ], "Y-m-d" ) );
        $o_VTA_DocumentoDetalleBN->setIdItemTipo( $o_VTA_DocumentoDetalleRs[ "IdItemTipo" ] );
        $o_VTA_DocumentoDetalleBN->setIdUnidad( ( integer ) $o_VTA_DocumentoDetalleRs[ "IdUnidad" ] );
        $o_VTA_DocumentoDetalleBN->setCondicion( $o_VTA_DocumentoDetalleRs[ "Condicion" ] );
        $o_VTA_DocumentoDetalleBN->setIdTipoPrecio( $o_VTA_DocumentoDetalleRs[ "IdTipoPrecio" ] );
        $o_VTA_DocumentoDetalleBN->setCodigoProductoSunat( $o_VTA_DocumentoDetalleRs[ "CodigoProductoSunat" ] );
        $o_VTA_DocumentoDetalleBN->setDescripcion( $o_VTA_DocumentoDetalleRs[ "Descripcion" ] );
        $o_VTA_DocumentoDetalleBN->setCantidadPedida( ( float ) $o_VTA_DocumentoDetalleRs[ "CantidadPedida" ] );
        $o_VTA_DocumentoDetalleBN->setCantidadRecibida( ( float ) $o_VTA_DocumentoDetalleRs[ "CantidadRecibida" ] );
        $o_VTA_DocumentoDetalleBN->setCostoUnitarioProm( ( float ) $o_VTA_DocumentoDetalleRs[ "CostoUnitarioProm" ] );
        $o_VTA_DocumentoDetalleBN->setCostoUnitarioMN( ( float ) $o_VTA_DocumentoDetalleRs[ "CostoUnitarioMN" ] );
        $o_VTA_DocumentoDetalleBN->setPrecioUnitarioMN( ( float ) $o_VTA_DocumentoDetalleRs[ "PrecioUnitarioMN" ] );
        $o_VTA_DocumentoDetalleBN->setPrecioUnitario( ( float ) $o_VTA_DocumentoDetalleRs[ "PrecioUnitario" ] );
        $o_VTA_DocumentoDetalleBN->setMontoDescuentoMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoDescuentoMN" ] );
        $o_VTA_DocumentoDetalleBN->setMontoDescuento( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoDescuento" ] );
        $o_VTA_DocumentoDetalleBN->setMontoImpuestoUnidad( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoImpuestoUnidad" ] );
        $o_VTA_DocumentoDetalleBN->setMontoImpuestoUnidadMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoImpuestoUnidadMN" ] );
        $o_VTA_DocumentoDetalleBN->setMontoIncImpuestoUnidad( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoIncImpuestoUnidad" ] );
        $o_VTA_DocumentoDetalleBN->setMontoIncImpuestoUnidadMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoIncImpuestoUnidadMN" ] );
        $o_VTA_DocumentoDetalleBN->setMontoSubTotal( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoSubTotal" ] );
        $o_VTA_DocumentoDetalleBN->setMontoSubTotalMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoSubTotalMN" ] );
        $o_VTA_DocumentoDetalleBN->setMontoSubTotalImpuesto( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoSubTotalImpuesto" ] );
        $o_VTA_DocumentoDetalleBN->setMontoSubTotalImpuestoMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoSubTotalImpuestoMN" ] );
        $o_VTA_DocumentoDetalleBN->setMontoTotalNeto( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoTotalNeto" ] );
        $o_VTA_DocumentoDetalleBN->setMontoTotalNetoMN( ( float ) $o_VTA_DocumentoDetalleRs[ "MontoTotalNetoMN" ] );
        $o_VTA_DocumentoDetalleBN->setIGVExoneradoFlag( $o_VTA_DocumentoDetalleRs[ "IGVExoneradoFlag" ] );
        $o_VTA_DocumentoDetalleBN->setTipoIGV( $o_VTA_DocumentoDetalleRs[ "TipoIGV" ] );
        $o_VTA_DocumentoDetalleBN->setPorcentajeImpuesto( ( integer ) $o_VTA_DocumentoDetalleRs[ "PorcentajeImpuesto" ] );
        $o_VTA_DocumentoDetalleBN->setAlmacenCodigo( $o_VTA_DocumentoDetalleRs[ "AlmacenCodigo" ] );
        $o_VTA_DocumentoDetalleBN->setNumeroPromocion( $o_VTA_DocumentoDetalleRs[ "NumeroPromocion" ] );
        $o_VTA_DocumentoDetalleBN->setRefParent( ( integer ) $o_VTA_DocumentoDetalleRs[ "RefParent" ] );
        $o_VTA_DocumentoDetalleBN->setRefTipoParent( $o_VTA_DocumentoDetalleRs[ "RefTipoParent" ] );
        $o_VTA_DocumentoDetalleBN->setEstado( $o_VTA_DocumentoDetalleRs[ "Estado" ] );
        $o_VTA_DocumentoDetalleBN->setCentroCosto( $o_VTA_DocumentoDetalleRs[ "CentroCosto" ] );
        $o_VTA_DocumentoDetalleBN->setUsuarioModificacion( $o_VTA_DocumentoDetalleRs[ "UsuarioModificacion" ] );
        $o_VTA_DocumentoDetalleBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoDetalleRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoDetalleBN->setUsuarioCreacion( $o_VTA_DocumentoDetalleRs[ "UsuarioCreacion" ] );
        $o_VTA_DocumentoDetalleBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoDetalleRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        return $o_VTA_DocumentoDetalleBN;
    }
}
?>